Bug 174190 - loop.h lacks definition of loop_info64
loop.h lacks definition of loop_info64
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
Depends On:
Blocks: FC6Target
  Show dependency treegraph
Reported: 2005-11-25 11:25 EST by Jan Engelhardt
Modified: 2007-11-30 17:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-10 15:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Engelhardt 2005-11-25 11:25:38 EST
Description of problem:
The kernelheaders package of FC2, FC3, and, according to user reports, FC4 are
all totally outdated, so that the new pam_mount-0.10.0 does not build, because
/usr/include/linux/loop.h does not have the struct for 'loop_info64'.

Version-Release number of selected component (if applicable):

How reproducible:
Pull newest pam_mount version and try compiling. It fails.

Steps to Reproduce:
1. wget heanet.dl.sf.net/sourceforge/pam-mount/pam_mount-0.10.0.tbz2
2. tar -xvjf pam_mount-0.10.0.tbz2
3. cd pam_mount-0.10.0 && ./configure && make
Actual results:
/usr/include/linux/loop.h:31:2: error: #error "Wrong dev_t in loop.h"
mount.c:77: warning: 'struct loop_info64' declared inside parameter list

Expected results:
(no warnings)

Additional info:
Mailing list post
Comment 1 W. Michael Petullo 2006-01-02 11:03:54 EST
Recent versions of pam_mount do not compile because of this bug.  The pam_mount
package is included in Fedora Extras.

/usr/include/linux/loop.h does not include a definition of loop_info64.

/lib/modules/2.6.14-1.1806_FC5/build/include/linux/loop.h does include loop_info64.

So glibc-kernheaders is out of date vs. kernel-devel.
Comment 2 W. Michael Petullo 2006-02-26 18:20:05 EST
I just added a note at http://www.fedoraproject.org/wiki/Extras/FC5Status
pointing to this bug.
Comment 3 David Woodhouse 2006-02-27 09:04:57 EST
Fixing summary. Had it been at all useful in the first place, this bug probably
would have been fixed up by FC5; as it is, it missed the boat.
Comment 6 Till Maas 2006-03-24 17:55:48 EST
Do I understand correctly, that this bug will not be fixed earlier than in FC6 
and therefore pam_mount will not be in extras earlier than in FC6? 
Comment 7 David Woodhouse 2006-03-24 18:39:56 EST
No, we can probably fix it in an erratum -- pam_mount could use its own copy of
the header in question in the meantime.
Comment 8 Jan Engelhardt 2006-03-31 15:00:33 EST
Well then, roll a .diff and use %patch in the .spec file.
Comment 9 Bernard Bou 2006-04-02 06:03:10 EDT
Could we get this fixed soon (sadms.sf.net has a dependency on the package) ?

In the meantime, compile now works with the following 2 hacks :
[bbou@janus ~]$ ls -l /usr/include/linux/loop.h /usr/include/asm/posix_types.h
lrwxrwxrwx 1 root root 65 avr  2 11:46 /usr/include/asm/posix_types.h ->
lrwxrwxrwx 1 root root 60 avr  2 11:39 /usr/include/linux/loop.h ->

the posix_types.h also having to be borrowed from the newer versions of
the headers (the older version not defining  _kernel_old_dev_t).
Comment 10 W. Michael Petullo 2006-04-02 21:42:44 EDT
I just patched and build pam_mount for Fedora Extras Rawhide.  Once this package
is signed, please test it.  If no one has any complaints, then I will build it
for FC5.  I have patched pam_mount to contain a local copy of loop.h.  I will
pull this patch out of the package once this bug is fixed.
Comment 11 W. Michael Petullo 2006-04-30 12:51:41 EDT
Because the Fedora Extras pam_mount package caused this bug to be identified, I
wanted to attach the following note (sent to the Fedora Extras mailing list):

I have chosen to stop maintaining the pam_mount package in Fedora
Extras because:

        1.  I am no longer the upstream maintainer
        2.  I no longer use the package myself

Therefore, pam_mount is now orphaned.  I sincerely hope that an
appropriate individual becomes interested in maintaining pam_mount.
The module has been very useful to me in the past.
Comment 12 Udo Seidel 2006-06-02 10:16:19 EDT
I create i386 and src rpms including the local copy of loop.h.
These packages can be downloaded here:
Comment 13 W. Michael Petullo 2006-07-05 20:41:57 EDT
Added CC for the new maintainer of the Fedora pam_mount package.
Comment 14 W. Michael Petullo 2006-08-26 10:23:04 EDT
I just verified that this is fixed in Rawhide's kernel-headers-2.6.17-1.2586
(possibly before).  However, I can't speak for Fedora Core 4.  Can someone check
into FC4 and either set this to WONTFIX or explain how this bug will be fixed?
Comment 15 Christian Iseli 2007-01-22 06:22:54 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 16 Jan Engelhardt 2007-01-22 12:18:12 EST
Works with FC6. Man this should have been fixed long ago, not by introducing
Comment 17 Jan Engelhardt 2007-01-30 06:14:52 EST
see comment #16
Comment 18 Matthew Miller 2007-04-10 15:42:27 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.

Note You need to log in before you can comment on or make changes to this bug.